Gnome XML Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# c14n

## Name

c14n --

## Synopsis

    int         xmlC14NDocSaveTo                (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlOutputBufferPtr buf);
    int         xmlC14NDocDumpMemory            (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlChar **doc_txt_ptr);
    int         xmlC14NDocSave                  (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 const char *filename,
                                                 int compression);
    int         (*xmlC14NIsVisibleCallback)     (void *user_data,
                                                 xmlNodePtr node,
                                                 xmlNodePtr parent);
    int         xmlC14NExecute                  (xmlDocPtr doc,
                                                 xmlC14NIsVisibleCallback is_visible_callback,
                                                 void *user_data,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlOutputBufferPtr buf);

## Description

## Details

### xmlC14NDocSaveTo ()

    int         xmlC14NDocSaveTo                (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlOutputBufferPtr buf);

Dumps the canonized image of given XML document into the provided buffer. For details see "Canonical XML" (http://www.w3.org/TR/xml-c14n) or "Exclusive XML Canonicalization" (http://www.w3.org/TR/xml-exc-c14n)

`doc` : |
`nodes` : |
`exclusive` : |
`inclusive_ns_prefixes` : |
`with_comments` : |
`buf` : |
Returns : |

### xmlC14NDocDumpMemory ()

    int         xmlC14NDocDumpMemory            (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlChar **doc_txt_ptr);

Dumps the canonized image of given XML document into memory. For details see "Canonical XML" (http://www.w3.org/TR/xml-c14n) or "Exclusive XML Canonicalization" (http://www.w3.org/TR/xml-exc-c14n)

`doc` : |
`nodes` : |
`exclusive` : |
`inclusive_ns_prefixes` : |
`with_comments` : |
`doc_txt_ptr` : |
Returns : |

### xmlC14NDocSave ()

    int         xmlC14NDocSave                  (xmlDocPtr doc,
                                                 xmlNodeSetPtr nodes,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 const char *filename,
                                                 int compression);

Dumps the canonized image of given XML document into the file. For details see "Canonical XML" (http://www.w3.org/TR/xml-c14n) or "Exclusive XML Canonicalization" (http://www.w3.org/TR/xml-exc-c14n)

`doc` : |
`nodes` : |
`exclusive` : |
`inclusive_ns_prefixes` : |
`with_comments` : |
`filename` : |
`compression` : |
Returns : |

### xmlC14NIsVisibleCallback ()

    int         (*xmlC14NIsVisibleCallback)     (void *user_data,
                                                 xmlNodePtr node,
                                                 xmlNodePtr parent);

`user_data` : |
`node` : |
`parent` : |
Returns : |

### xmlC14NExecute ()

    int         xmlC14NExecute                  (xmlDocPtr doc,
                                                 xmlC14NIsVisibleCallback is_visible_callback,
                                                 void *user_data,
                                                 int exclusive,
                                                 xmlChar **inclusive_ns_prefixes,
                                                 int with_comments,
                                                 xmlOutputBufferPtr buf);

Dumps the canonized image of given XML document into the provided buffer. For details see "Canonical XML" (http://www.w3.org/TR/xml-c14n) or "Exclusive XML Canonicalization" (http://www.w3.org/TR/xml-exc-c14n)

`doc` : |
`is_visible_callback` : |
`user_data` : |
`exclusive` : |
`inclusive_ns_prefixes` : |
`with_comments` : |
`buf` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
catalog | threads